define(
{
    "heading":"Table of Contents",
    "topics":[
        [
            {
                "title":"List of Examples",
                "href":"loe.html"
            },
            {
                "title":"List of Figures",
                "href":"lof.html"
            },
            {
                "title":"List of Tables",
                "href":"lot.html"
            },
            {
                "title":"Title and Copyright Information",
                "href":"index.html"
            },
            {
                "title":"<span class=\"secnum\">1 </span> Introduction to Oracle NoSQL Database SDK for Spring Data",
                "href":"spring-sdk1.html",
                "children":[
                    {
                        "title":"About the Oracle NoSQL Database SDK for Spring Data",
                        "href":"spring-sdk.html"
                    },
                    {
                        "title":"Components of Oracle NoSQL Database SDK for Spring Data",
                        "href":"components-spring-sdk.html"
                    },
                    {
                        "title":"Persistence Model",
                        "href":"persistence-model.html"
                    },
                    {
                        "title":"Transactional Model",
                        "href":"transactional-model.html"
                    },
                    {
                        "title":"Setting up the Connection",
                        "href":"setting-connection.html"
                    },
                    {
                        "title":"Defining a Repository",
                        "href":"defining-repository.html"
                    },
                    {
                        "title":"Starting the Application",
                        "href":"starting-application.html"
                    },
                    {
                        "title":"Queries",
                        "href":"queries.html",
                        "children":[
                            {
                                "title":"PagingAndSortingRepository Interface",
                                "href":"pagingandsortingrepository-interface.html"
                            },
                            {
                                "title":"Derived Queries",
                                "href":"derived-queries.html"
                            },
                            {
                                "title":"Supported Keywords in Derived Queries",
                                "href":"supported-keywords-query-methods.html"
                            },
                            {
                                "title":"Native Queries",
                                "href":"native-queries.html"
                            }
                        ]
                    },
                    {
                        "title":"Activating Logging",
                        "href":"activating-logging.html"
                    }
                ]
            },
            {
                "title":"<span class=\"secnum\">2 </span> Develop Applications Using Oracle NoSQL Database SDK for Spring Data",
                "href":"using-spring-data-framework.html",
                "children":[
                    {
                        "title":"Accessing Oracle NoSQL Database Using Spring Data Framework",
                        "href":"accessing-nosql-using-sdf.html"
                    },
                    {
                        "title":"Setting TTL values",
                        "href":"setting-ttl-time-live-values.html"
                    },
                    {
                        "title":"Using SpEl expressions in NosqlTable annotation",
                        "href":"using-spel-expressions-nosqltable-tablename-annotation.html"
                    },
                    {
                        "title":"Creating Tables with Composite Keys",
                        "href":"creating-tables-composite-keys.html"
                    },
                    {
                        "title":"Creating an Index",
                        "href":"creating-index.html"
                    },
                    {
                        "title":"Projections",
                        "href":"projections.html"
                    },
                    {
                        "title":"Dropping Tables and Indexes",
                        "href":"dropping-tables-and-indexes.html"
                    }
                ]
            }
        ]
    ]
});